package com.mortals.xhx.common.code;

public enum AssetFlowStatusEnum {
	/** 任意状态 */
	Special_597("597", "任意状态"),
	/** 回前状态 */
	Special_598("598", "回前状态"),
	/** 不变状态 */
	Special_599("599", "不变状态");

	private String value;
	private String desc;

	AssetFlowStatusEnum(String value, String desc) {
		this.value = value;
		this.desc = desc;
	}

	public String getValue() {
		return this.value;
	}

	public String getDesc() {
		return desc;
	}

	public static AssetFlowStatusEnum getByValue(String value) {
		for (AssetFlowStatusEnum YesNoEnum : AssetFlowStatusEnum.values()) {
			if (YesNoEnum.getValue() == value) {
				return YesNoEnum;
			}
		}
		return null;
	}
}
